清空 Collection (V2)
This operation removes all data from the specified collection while keeping the collection schema.
POST/v2/vectordb/collections/truncate
该 API 的 Base URL 格式如下:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘说明
- 如果您使用的是服务集群,请使用集群端点。
Free 与 Serverless 版
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated 版
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
Database 名称。设置为不存在的 Database 会导致错误。如果未指定,则使用默认 Database。
collectionNamestring必填项
Collection 名称。设置为不存在的 Collection 会导致错误。
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/truncate" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection"
}'
响应200 - application/json
codeinteger
响应码。
dataobject
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": {}
}